"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const visitAndExtractHtml_1 = __importDefault(require("./visitAndExtractHtml"));
exports.default = (composedNarrativeSchema) => () => {
    return function transformer(ast, vFile, next) {
        visitAndExtractHtml_1.default(ast, vFile, composedNarrativeSchema.labelByName);
        if (typeof next === "function") {
            return next(null, ast, vFile);
        }
    };
};
//# sourceMappingURL=applySchema.js.map